﻿
Partial Class Default2
    Inherits System.Web.UI.Page
    Private dbContexto As New dbBancosDataContextDataContext
    Sub MostrarCuentas()
        'se crea una variable BuscaCuentas que carga la consulta
        'LINQ desde el contexto tbCuentas
        'filtrada por el campo ClienteID sea igual a lo digitado por
        'el usuario en TextBox1.Text
        'Luego se redefine la consulta LINQ mediante Select New
        'y se agregan los campos personalizados de la consulta.
        Dim Buscacuentas = From Cuentas In dbContexto.tbCuentas _
               Where Cuentas.ClienteID = TextBox1.Text _
               Order By Cuentas.Fecha_Apertura Descending _
                 Select New _
                       With {Cuentas.CuentaID, _
                             Cuentas.Fecha_Apertura, _
                             Cuentas.Saldo}
        'Si se encontraron registros en tbCuentas se muestran
        If Buscacuentas.Count > 0 Then
            GridView1.DataSource = Buscacuentas
            GridView1.DataBind()
        Else
            'De lo contrario se muestra el cliente pero no las cuentas que no tiene.
            Response.Write("<script>alert('Cliente Existe, pero no tiene cuentas abiertas!')</script>")
            GridView1.DataSource = Nothing
            GridView1.DataBind()
        End If
    End Sub
    Protected Sub btnConsultar_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btnConsultar.Click

        Try
            Dim BuscaCliente = (From Clientes In dbContexto.tbClientes _
                                  Where Clientes.ClienteID = TextBox1.Text).ToList()(0)
            'Carga los TextBox respectivos en caso de que haya una vinculacion objetos del modelo
            'con datos de la base de datos con la que se vincula
            Label3.Text = BuscaCliente.Nombre & Space(1) & BuscaCliente.Apellidos
            MostrarCuentas()
        Catch ex As Exception
            Response.Write("<script>alert('Número de cliente No encontrado!')</script>")
        End Try
    End Sub
End Class
